// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded CUSTOM ITEMS.js)')


StartupEvents.registry('item', event => {

    event.create('mv_retrograde_circuit')
        .displayName('MV Retrograde Circuit')
        .texture('kubejs:item/mv_retrograde_circuit')
        .tooltip('§7Can be used as LV to MV Circuits')
        .tooltip('§dLV -> MV-Tier Circuit')
        .tooltip('§dNYI')
    // .tag('gtceu:circuits/lv')
    // .tag('gtceu:circuits/mv')

    event.create('hv_retrograde_circuit')
        .displayName('HV Retrograde Circuit')
        .texture('kubejs:item/hv_retrograde_circuit')
        .tooltip('§7Can be used as LV to HV Circuits')
        .tooltip('§dLV -> HV-Tier Circuit')
        .tooltip('§dNYI')
    // .tag('gtceu:circuits/lv')
    // .tag('gtceu:circuits/mv')
    // .tag('gtceu:circuits/hv')

    event.create('ev_retrograde_circuit')
        .displayName('EV Retrograde Circuit')
        .texture('kubejs:item/ev_retrograde_circuit')
        .tooltip('§7Can be used as LV to EV Circuits')
        .tooltip('§dLV -> EV-Tier Circuit')
        .tooltip('§dNYI')
    // .tag('gtceu:circuits/lv')
    // .tag('gtceu:circuits/mv')
    // .tag('gtceu:circuits/hv')
    // .tag('gtceu:circuits/ev')

    event.create('ulv_credit')
        .displayName('ULV Credit')
        .texture('kubejs:item/ulv_credit')
        .tooltip('§7ULV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dNYI')

    event.create('lv_credit')
        .displayName('LV Credit')
        .texture('kubejs:item/lv_credit')
        .tooltip('§7LV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('mv_credit')
        .displayName('MV Credit')
        .texture('kubejs:item/mv_credit')
        .tooltip('§7MV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('hv_credit')
        .displayName('HV Credit')
        .texture('kubejs:item/hv_credit')
        .tooltip('§7HV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('ev_credit')
        .displayName('EV Credit')
        .texture('kubejs:item/ev_credit')
        .tooltip('§7EV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('iv_credit')
        .displayName('IV Credit')
        .texture('kubejs:item/iv_credit')
        .tooltip('§7IV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('luv_credit')
        .displayName('LuV Credit')
        .texture('kubejs:item/luv_credit')
        .tooltip('§7LuV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('zpm_credit')
        .displayName('ZPM Credit')
        .texture('kubejs:item/zpm_credit')
        .tooltip('§7ZPM Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('uv_credit')
        .displayName('UV Credit')
        .texture('kubejs:item/uv_credit')
        .tooltip('§7UV Credit to buy things')
        .tooltip('§dConvert 4 into 1 of the next tier')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    event.create('uhv_credit')
        .displayName('UHV Credit')
        .texture('kubejs:item/uhv_credit')
        .tooltip('§7UHV Credit to buy things')
        .tooltip('§dConvert 1 into 4 of the previous tier')
        .tooltip('§dNYI')

    // universal circuits
    event.create('lv_universal_circuit')
        .displayName('LV Universal Circuit')
        .texture('kubejs:item/lv_universal_circuit')
        .tooltip('§7Can be used in place of any LV Circuit')

    event.create('mv_universal_circuit')
        .displayName('MV Universal Circuit')
        .texture('kubejs:item/mv_universal_circuit')
        .tooltip('§7Can be used in place of any MV Circuit')

    event.create('hv_universal_circuit')
        .displayName('HV Universal Circuit')
        .texture('kubejs:item/hv_universal_circuit')
        .tooltip('§7Can be used in place of any HV Circuit')

    event.create('ev_universal_circuit')
        .displayName('EV Universal Circuit')
        .texture('kubejs:item/ev_universal_circuit')
        .tooltip('§7Can be used in place of any EV Circuit')

    event.create('iv_universal_circuit')
        .displayName('IV Universal Circuit')
        .texture('kubejs:item/iv_universal_circuit')
        .tooltip('§7Can be used in place of any IV Circuit')

    event.create('luv_universal_circuit')
        .displayName('LuV Universal Circuit')
        .texture('kubejs:item/luv_universal_circuit')
        .tooltip('§7Can be used in place of any LuV Circuit')

    event.create('zpm_universal_circuit')
        .displayName('ZPM Universal Circuit')
        .texture('kubejs:item/zpm_universal_circuit')
        .tooltip('§7Can be used in place of any ZPM Circuit')

    event.create('uv_universal_circuit')
        .displayName('UV Universal Circuit')
        .texture('kubejs:item/uv_universal_circuit')
        .tooltip('§7Can be used in place of any UV Circuit')

    event.create('uhv_universal_circuit')
        .displayName('UHV Universal Circuit')
        .texture('kubejs:item/uhv_universal_circuit')
        .tooltip('§7Can be used in place of any UHV Circuit')


    // fin //

})